<?php
error_reporting(E_ALL);
mb_internal_encoding('UTF-8');

$template = isset($_POST['template']) ? $_POST['template'] : '';
$list     = isset($_POST['list']) ? $_POST['list'] : '';
$result   = '';

if ($template && $list) {
	require_once '../../Smarty/libs/Smarty.class.php';

	$smarty = new Smarty();
	$smarty->compile_dir = 'template_c';

	foreach (explode("\n", $list) as $keyword) {
		$keyword = trim($keyword);

		if (strlen($keyword)) {
			$smarty->assign('var', $keyword);
			$result .= $smarty->fetch('string:' . $template);
		}
	}
}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>テンプレ君</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
<body>

<div class="container-fluid">
<form action="./" method="post">

<div class="row">
	<div class="col-8">
		<div class="form-group">
			<label for="template">テンプレート</label>
			<textarea class="form-control" name="template" rows="10"><?php echo htmlspecialchars($template); ?></textarea>
			<small class="form-text text-muted">キーワードが変数varに格納される</small>
		</div>
	</div>

	<div class="col">
		<div class="form-group">
			<label for="list">キーワード一覧</label>
			<textarea class="form-control" name="list" rows="10"><?php echo htmlspecialchars($list); ?></textarea>
			<small class="form-text text-muted">改行で区切って書く</small>
		</div>
	</div>
</div>

<button type="submit" class="btn btn-primary">変換</button>
<button type="button" class="btn btn-secondary" id="copy">クリップボードにコピー</button>

<div class="form-group">
	<label for="list">結果</label>
	<textarea class="form-control" rows="10" id="result"><?php echo htmlspecialchars($result); ?></textarea>
</div>

</form>
</div>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
</script>

<script>
$('#copy').on('click', function(){
	$('#result').select();
	document.execCommand("Copy");
});
</script>

</body>
</html>
